<?php
// $Id: page.tpl.php,v 1.1.2.1 2008/05/31 12:56:48 crashtest Exp $
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $language->language ?>" lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">
  <head>
    <title><?php print $head_title ?></title>
    <?php print $head ?>
    <?php print $styles ?>
    <?php print $scripts ?>
    <!--[if lt IE 7]>
      <?php print phptemplate_get_ie_styles(); ?>
    <![endif]-->
  </head>
  
  <body class="<?php print $body_classes ?>">
    <div class="whitebar">
      <div class="centered">
        <div id="slogan">
          <?php if ($messages): ?>
            <?php print $messages ?>
          <?php elseif ($search_box): ?>
            <?php print $search_box ?>
          <?php endif; ?>
          <?php if ($site_slogan): ?><h3><?php print $site_slogan ?></h3><?php endif; ?>
        </div>
      </div>
    </div>

    <div id="menubar">    
      <div id="navigation">
        <?php if (isset($primary_links)): ?>
          <?php print theme('links', $primary_links) ?>
        <?php endif; ?>
      </div>
    </div>
  
    <div id="bluebar">
      <div class="centered">
        <div id="logo">
          <?php if ($logo): ?>
            <a href="<?php print $base_path ?>"><img src="<?php print $logo ?>" alt="logo" /></a>
          <?php endif; ?>
          <?php if ($site_name): ?><h1><a href="<?php print $base_path ?>"><?php print $site_name ?></a></h1><?php endif; ?>
          <?php if ($mission): ?><h3 class="mission"><?php print $mission ?></h3><?php endif; ?>
          <?php if ($mission_region): ?><div id="mission-region"><?php print $mission_region ?></div><?php endif; ?>
        </div>
      </div>
    </div>

    <?php if ($breadcrumb || $secondary_links): ?>
      <div class="whitebar">
        <div class="centered">
          <div id="crumbbar">
            <?php if ($breadcrumb): ?><div id="breadcrumb"><?php print $breadcrumb ?></div><?php endif; ?>
            <?php if ($secondary_links): ?><div id="secondary"><?php print theme('links', $secondary_links) ?></div><?php endif; ?>
          </div>
        </div>  
      </div>
    <?php endif; ?>

    <?php if ($callout_left || $callout_right): ?>
      <div class="whitebar">
        <div class="centered">
          <div id="callout">
            <?php if ($callout_left): ?>
              <div id="callout-left">    
                <?php  print $callout_left ?>
              </div>  
            <?php endif; ?>
            <?php if ($callout_right): ?>
              <div id="callout-right"><?php print $callout_right ?></div>
            <?php else: ?>
              <div id="callout-right-empty">&nbsp;</div>
            <?php endif;  ?>
          </div>
        </div>
      </div>    
    <?php endif; ?>

    <div id="greybar">
      <div class="centered">
        <?php if ($tabs): ?><div id="tabs-wrapper"><ul class="tabs primary"><?php print $tabs ?></ul><?php endif; ?>
        <?php if ($tabs2): ?><ul class="tabs secondary"><?php print $tabs2 ?></ul><?php endif; ?>
        <?php if ($tabs): ?></div><?php endif; ?>
        <?php if ($content_left && $content_right): ?>
          <div id="three-content-columns">
        <?php elseif ($content_left || $content_right): ?>
          <div id="two-content-columns">
        <?php endif; ?>
        <?php if ($content_left): ?>
          <div id="content-left"><?php print $content_left ?></div>
        <?php endif; ?>
        <div id="content">
          <?php if ($title): ?>
            <h2><?php print $title ?></h2>
          <?php endif; ?>
          <?php print $content ?>
        </div>
        <?php if ($content_right): ?>
          <div id="content-right"><?php print $content_right ?></div>
        <?php endif; ?>
        <?php if ($content_left || $content_right): ?>
          </div>
        <?php endif; ?>
      </div>
    </div>
    
    <div id="lightbluebar">
      <div class="centered">
        <div id="footerinner">
          <p>Refresco designed by <a href="http://brauerranch.com">Patrick Teglia</a></p>
          <?php if($footer) { print $footer; } ?>
        </div>
      </div>
    </div>
    
  </body>
</html>
